net.sf.jasperreports.engine

## Interface JRPrintFrame

- All Superinterfaces:
    JRBoxContainer, JRCommonElement, JRIdentifiable, JRPrintElement, JRPropertiesHolder, JRStyleContainer
  All Known Implementing Classes:
    JRBasePrintFrame, JRTemplatePrintFrame

      public interface JRPrintFrame
      extends JRPrintElement, JRBoxContainer

  A print elements container.

  This is the print result of a `frame` element or a `crosstab` cell.

  The coordinates of elements inside a print frame are relative to the frame and not the page.

  Version:
    $Id: JRPrintFrame.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRPrintElement>` | `getElements()` Returns the list of print elements contained in the frame.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor, getLineBox`

- - ### Method Detail

    - #### getElements

          java.util.List<JRPrintElement> getElements()

      Returns the list of print elements contained in the frame.
      Returns:
        the list of sub print elements

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com